aboutsummaryrefslogtreecommitdiffstats
path: root/main/gobject-introspection/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-10-10 13:53:54 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-10-10 14:01:45 +0000
commit5b8f8a57ab0b5d233d83e6c22988972f07d19390 (patch)
treeedcfdbbd0162064f13b881c06e6f0e97722ad8d9 /main/gobject-introspection/APKBUILD
parent336acafdb5ccf4185d7ad28d58fc92d3011d986a (diff)
downloadaports-5b8f8a57ab0b5d233d83e6c22988972f07d19390.tar.gz
aports-5b8f8a57ab0b5d233d83e6c22988972f07d19390.tar.bz2
aports-5b8f8a57ab0b5d233d83e6c22988972f07d19390.tar.xz
main/gobject-introspection: upgrade to 1.30.0
Diffstat (limited to 'main/gobject-introspection/APKBUILD')
-rw-r--r--main/gobject-introspection/APKBUILD21
1 files changed, 16 insertions, 5 deletions
diff --git a/main/gobject-introspection/APKBUILD b/main/gobject-introspection/APKBUILD
index ec2d44235d..6b2635b74c 100644
--- a/main/gobject-introspection/APKBUILD
+++ b/main/gobject-introspection/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=gobject-introspection
-pkgver=0.10.8
-pkgrel=2
+pkgver=1.30.0
+pkgrel=0
pkgdesc="Introspection system for GObject-based libraries"
url="http://live.gnome.org/GObjectInstrospection"
arch="all"
@@ -10,7 +10,13 @@ depends_dev="python glib-dev libffi-dev cairo-dev"
makedepends="$depends_dev flex bison python-dev libtool"
depends=
replaces="libgirepository"
-source="http://ftp.gnome.org/pub/gnome/sources/$pkgname/${pkgver%.*}/$pkgname-$pkgver.tar.bz2"
+source="http://ftp.gnome.org/pub/gnome/sources/$pkgname/${pkgver%.*}/$pkgname-$pkgver.tar.bz2
+ 0001-repository-Fix-g_irepository_get_c_prefix.patch
+ 0002-Skip-analysis-of-params-that-have-been-skip-d.patch
+ 0003-Bug-660338-Account-for-padding-in-struct-size-check.patch
+ 0007-giconstantinfo-Add-API-to-fix-memory-leak.patch
+ 0008-scanner-split-CC-environment-variable.patch
+ "
# since this is a dev package by definition we dont bother separate -dev
subpackages="$pkgname-doc $pkgname-dev"
@@ -31,7 +37,7 @@ prepare() {
build() {
cd "$_builddir"
./configure --prefix=/usr --disable-static || return 1
- make || return 1
+ make V=1 || return 1
}
package() {
@@ -50,4 +56,9 @@ dev() {
replaces="gobject-introspection"
}
-md5sums="b5da58a5327d13b4d1e08b8e42b2456d gobject-introspection-0.10.8.tar.bz2"
+md5sums="2dca065ef8ad95600040177a38b370fe gobject-introspection-1.30.0.tar.bz2
+33dab841cc8892fe3b3dc9548ef07667 0001-repository-Fix-g_irepository_get_c_prefix.patch
+bd84cf5039f224d0535f5930c7b99366 0002-Skip-analysis-of-params-that-have-been-skip-d.patch
+b4ee37cce3aa251ead694c10c5ff96a3 0003-Bug-660338-Account-for-padding-in-struct-size-check.patch
+a36853f88ac252095312e63cd014888a 0007-giconstantinfo-Add-API-to-fix-memory-leak.patch
+47321b30c92038439c36bcb051caebb2 0008-scanner-split-CC-environment-variable.patch"